diff --git a/changelog b/changelog
index 21958ab..46dc9dc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20071004 tpd src/input/Makefile kamke0.input regression test added
+20071004 tpd src/input/kamke0.input ODE regression test added
 20071001 tpd src/algebra/exposed.lisp add (|AxiomServer| . AXSERV) to basic
 20071001 tpd src/algebra/Makefile add axserver.spad
 20071001 acr src/algebra/axserver.spad axserver socket connection code
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index f62095a..c1ade3e 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -322,6 +322,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     intmix2.regress   intmix.regress   int.regress      intrf.regress \
     iprntpk.regress \
     ipftest.regress   is.regress       isprime.regress  kafile.regress \
+    kamke0.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    lindep.regress \
     list.regress      lode.regress     lodesys.regress  lodo1.regress \
@@ -556,11 +557,12 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/images3.input  ${OUT}/images6.input    ${OUT}/images6a.input \
        ${OUT}/images7.input  ${OUT}/images7a.input   ${OUT}/infprod.input \
        ${OUT}/intaf.input    ${OUT}/intbypart.input \
-       ${OUT}/intdeq.input     ${OUT}/intef.input \
+       ${OUT}/intdeq.input   ${OUT}/intef.input \
        ${OUT}/intg0.input    ${OUT}/intheory.input   ${OUT}/int.input \
        ${OUT}/intlf.input    ${OUT}/intmix.input     ${OUT}/intrf.input \
        ${OUT}/ipftest.input  ${OUT}/is.input         ${OUT}/isprime.input \
-       ${OUT}/kafile.input   ${OUT}/kernel.input     ${OUT}/knot.input \
+       ${OUT}/kafile.input   ${OUT}/kamke0.input \
+       ${OUT}/kernel.input   ${OUT}/knot.input \
        ${OUT}/kovacic.input  ${OUT}/kuipers.input  \
        ${OUT}/laplace.input  ${OUT}/leg.input        ${OUT}/lexp.input \
        ${OUT}/lextripk.input ${OUT}/lib.input        ${OUT}/limit.input \
@@ -825,6 +827,7 @@ DOCFILES= \
   ${DOC}/intmix.input.dvi      ${DOC}/intrf.input.dvi      \
   ${DOC}/ipftest.input.dvi     ${DOC}/is.input.dvi         \
   ${DOC}/isprime.input.dvi     ${DOC}/kafile.input.dvi     \
+  ${DOC}/kamke0.input.dvi \
   ${DOC}/kernel.input.dvi      ${DOC}/knot2.input.dvi      \
   ${DOC}/knot.input.dvi        ${DOC}/knownbugs.input.dvi  \
   ${DOC}/kovacic.input.dvi     ${DOC}/kuipers.input.dvi    \
diff --git a/src/input/kamke0.input.pamphlet b/src/input/kamke0.input.pamphlet
new file mode 100644
index 0000000..d1a9d8b
--- /dev/null
+++ b/src/input/kamke0.input.pamphlet
@@ -0,0 +1,1904 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input kamke0.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is the first 50 of the Kamke test suite as published by 
+E. S. Cheb-Terrab\cite{1}. They have been rewritten using Axiom
+syntax. Where possible we show that the particular solution actually
+satisfies the original ordinary differential equation.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool kamke0.output
+)set break resume
+)set mes auto off
+)clear all
+
+--S 1 of 134
+y:=operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 134
+f := operator 'f
+--R
+--R   (2)  f
+--R                                                          Type: BasicOperator
+--E 2
+
+--S 3 of 134
+g := operator 'g
+--R
+--R   (3)  g
+--R                                                          Type: BasicOperator
+--E 3
+
+--S 4 of 134
+ode1 := D(y(x),x) - (a4*x**4+a3*x**3+a2*x**2+a1*x+a0)**(-1/2)
+--R 
+--R
+--R         +---------------------------------+
+--R         |    4       3       2              ,
+--R        \|a4 x  + a3 x  + a2 x  + a1 x + a0 y (x) - 1
+--R
+--R   (4)  ---------------------------------------------
+--R              +---------------------------------+
+--R              |    4       3       2
+--R             \|a4 x  + a3 x  + a2 x  + a1 x + a0
+--R                                                     Type: Expression Integer
+--E 4
+
+--S 5 of 134
+ode1a:=solve(ode1,y,x)
+--R 
+--R
+--R   (5)
+--R                   x
+--R                 ++                    1
+--I   [particular=  |   ------------------------------------- d%N ,basis= [1]]
+--R                ++    +----------------------------------+
+--R                      |  4       3       2
+--I                     \|%N a4 + %N a3 + %N a2 + %N a1 + a0
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 5
+
+--S 6 of 134
+ode2 := D(y(x),x) + a*y(x) - c*exp(b*x)
+--R 
+--R
+--R         ,          b x
+--R   (6)  y (x) - c %e    + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 134
+ode2a:=solve(ode2,y,x)
+--R 
+--R
+--R                         b x
+--R                     c %e              - a x
+--R   (7)  [particular= -------,basis= [%e     ]]
+--R                      b + a
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 7
+
+--S 8 of 134
+yx:=ode2a.particular
+--R
+--R            b x
+--R        c %e
+--R   (8)  -------
+--R         b + a
+--R                                                     Type: Expression Integer
+--E 8
+
+--S 9 of 134
+ode2expr:=D(yx,x) + a*yx -c*exp(b*x)
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E 9
+
+--S 10 of 134
+ode3 := D(y(x),x) + a*y(x) - b*sin(c*x)
+--R
+--R          ,
+--R   (10)  y (x) - b sin(c x) + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 10
+
+--S 11 of 134
+ode3a:=solve(ode3,y,x)
+--R
+--R                      a b sin(c x) - b c cos(c x)           - a x
+--R   (11)  [particular= ---------------------------,basis= [%e     ]]
+--R                                 2    2
+--R                                c  + a
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 11
+
+--S 12 of 134
+yx:=ode3a.particular
+--R
+--R         a b sin(c x) - b c cos(c x)
+--R   (12)  ---------------------------
+--R                    2    2
+--R                   c  + a
+--R                                                     Type: Expression Integer
+--E 12
+
+--S 13 of 134
+ode3expr:=D(yx,x) + a*yx - b*sin(c*x)
+--R
+--R   (13)  0
+--R                                                     Type: Expression Integer
+--E 13
+
+--S 14 of 134
+ode4 := D(y(x),x) + 2*x*y(x) - x*exp(-x**2)
+--R
+--R                        2
+--R          ,          - x
+--R   (14)  y (x) - x %e     + 2x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 14
+
+--S 15 of 134
+ode4a:=solve(ode4,y,x)
+--R
+--R                             2
+--R                       2  - x               2
+--R                      x %e               - x
+--R   (15)  [particular= --------,basis= [%e    ]]
+--R                          2
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 15
+
+--S 16 of 134
+yx:=ode4a.particular
+--R
+--R                2
+--R          2  - x
+--R         x %e
+--R   (16)  --------
+--R             2
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 134
+ode4expr:=D(yx,x) + 2*x*yx - x*exp(-x**2)
+--R
+--R   (17)  0
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 134
+ode5 := D(y(x),x) + y(x)*cos(x) - exp(2*x)
+--R
+--R          ,        2x
+--R   (18)  y (x) - %e   + y(x)cos(x)
+--R
+--R                                                     Type: Expression Integer
+--E 18
+
+--S 19 of 134
+ode5a:=solve(ode5,y,x)
+--R
+--I                                   x      2%H
+--R                        - sin(x) ++     %e                      - sin(x)
+--I   (19)  [particular= %e         |   ----------- d%H ,basis= [%e        ]]
+--I                                ++     - sin(%H)
+--R                                     %e
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 19
+
+--S 20 of 134
+ode6 := D(y(x),x) + y(x)*cos(x) - sin(2*x)/2
+--R
+--R           ,
+--R         2y (x) - sin(2x) + 2y(x)cos(x)
+--R
+--R   (20)  ------------------------------
+--R                        2
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 134
+ode6a:=solve(ode6,y,x)
+--R
+--R                                           - sin(x)
+--R   (21)  [particular= sin(x) - 1,basis= [%e        ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 21
+
+--S 22 of 134
+yx:=ode6a.particular
+--R
+--R   (22)  sin(x) - 1
+--R                                                     Type: Expression Integer
+--E 22
+
+--S 23 of 134
+ode6expr:=D(yx,x) + yx*cos(x) - sin(2*x)/2
+--R
+--R         - sin(2x) + 2cos(x)sin(x)
+--R   (23)  -------------------------
+--R                     2
+--R                                                     Type: Expression Integer
+--E 23
+
+--S 24 of 134
+sin2rule := rule 2*cos(x)*sin(x) == sin(2*x)
+--R
+--I   (24)  2%Y cos(x)sin(x) == %Y sin(2x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 24
+
+--S 25 of 134
+sin2rule ode6expr
+--R
+--R   (25)  0
+--R                                                     Type: Expression Integer
+--E 25
+
+--S 26 of 134
+ode7 := D(y(x),x) + y(x)*cos(x) - exp(-sin(x))
+--R
+--R          ,        - sin(x)
+--R   (26)  y (x) - %e         + y(x)cos(x)
+--R
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 134
+ode7a:=solve(ode7,y,x)
+--R
+--R                          - sin(x)           - sin(x)
+--R   (27)  [particular= x %e        ,basis= [%e        ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 27
+
+--S 28 of 134
+yx:=ode7a.particular
+--R
+--R             - sin(x)
+--R   (28)  x %e
+--R                                                     Type: Expression Integer
+--E 28
+
+--S 29 of 134
+ode7expr := D(yx,x) + yx*cos(x) - exp(-sin(x))
+--R
+--R   (29)  0
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 134
+ode8 := D(y(x),x) + y(x)*tan(x) - sin(2*x)
+--R
+--R          ,
+--R   (30)  y (x) + y(x)tan(x) - sin(2x)
+--R
+--R                                                     Type: Expression Integer
+--E 30
+
+--S 31 of 134
+ode8a:=solve(ode8,y,x)
+--R
+--R   (31)
+--R                                        +-------+
+--R                          2             |   1
+--R                (- 2cos(x)  + 2cos(x))  |-------
+--R                                       4|      4
+--R                                       \|cos(x)                 1
+--R   [particular= --------------------------------,basis= [--------------]]
+--R                          +-----------+                   +-----------+
+--R                          |      2                        |      2
+--R                         \|tan(x)  + 1                   \|tan(x)  + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 31
+
+--S 32 of 134
+yx:=ode8a.particular
+--R
+--R                                 +-------+
+--R                   2             |   1
+--R         (- 2cos(x)  + 2cos(x))  |-------
+--R                                4|      4
+--R                                \|cos(x)
+--R   (32)  --------------------------------
+--R                   +-----------+
+--R                   |      2
+--R                  \|tan(x)  + 1
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 134
+ode8expr:=D(yx,x) + yx*tan(x) - sin(2*x)
+--R
+--R                           +-------+3 +-----------+
+--R                 3         |   1      |      2
+--R         - cos(x) sin(2x)  |-------  \|tan(x)  + 1 + 2sin(x)
+--R                          4|      4
+--R                          \|cos(x)
+--R   (33)  ---------------------------------------------------
+--R                            +-------+3 +-----------+
+--R                         3  |   1      |      2
+--R                   cos(x)   |-------  \|tan(x)  + 1
+--R                           4|      4
+--R                           \|cos(x)
+--R                                                     Type: Expression Integer
+--E 33
+
+--S 34 of 134
+ode9 := D(y(x),x) - (sin(log(x)) + cos(log(x)) +a)*y(x)
+--R
+--R          ,
+--R   (34)  y (x) - y(x)sin(log(x)) - y(x)cos(log(x)) - a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 34
+
+--S 35 of 134
+ode9a:=solve(ode9,y,x)
+--R
+--R                                  x sin(log(x)) + a x
+--R   (35)  [particular= 0,basis= [%e                   ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 35
+
+--S 36 of 134
+yx:=ode9a.particular
+--R
+--R   (36)  0
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 134
+ode9expr:=D(yx,x) - (sin(log(x)) + cos(log(x)) +a)*yx
+--R
+--R   (37)  0
+--R                                                     Type: Expression Integer
+--E 37
+
+--S 38 of 134
+ode10 := D(y(x),x) + D(f(x),x)*y(x) - f(x)*D(f(x),x)
+--R
+--R          ,                    ,
+--R   (38)  y (x) + (y(x) - f(x))f (x)
+--R
+--R                                                     Type: Expression Integer
+--E 38
+
+--S 39 of 134
+ode10a:=solve(ode10,y,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 39
+
+--S 40 of 134
+ode11 := D(y(x),x)  + f(x)*y(x) - g(x)
+--R
+--R          ,
+--R   (39)  y (x) + f(x)y(x) - g(x)
+--R
+--R                                                     Type: Expression Integer
+--E 40
+
+--S 41 of 134
+ode11a:=solve(ode11,y,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 41
+
+--S 42 of 134
+ode12 := D(y(x),x) + y(x)**2 - 1
+--R
+--R          ,          2
+--R   (40)  y (x) + y(x)  - 1
+--R
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 134
+yx:=solve(ode12,y,x)
+--R
+--R         - log(y(x) + 1) + log(y(x) - 1) + 2x
+--R   (41)  ------------------------------------
+--R                           2
+--R                                          Type: Union(Expression Integer,...)
+--E 43
+
+--S 44 of 134
+ode12expr:=D(yx,x) + yx**2 - 1
+--R
+--R   (42)
+--R         ,           2                  2
+--R       4y (x) + (y(x)  - 1)log(y(x) + 1)
+--R
+--R     + 
+--R                2                            2
+--R       ((- 2y(x)  + 2)log(y(x) - 1) - 4x y(x)  + 4x)log(y(x) + 1)
+--R     + 
+--R          2                  2           2                        2    2     2
+--R     (y(x)  - 1)log(y(x) - 1)  + (4x y(x)  - 4x)log(y(x) - 1) + 4x y(x)  - 4x
+--R  /
+--R          2
+--R     4y(x)  - 4
+--R                                                     Type: Expression Integer
+--E 44
+
+--S 45 of 134
+ode13 := D(y(x),x) + y(x)**2 - a*x - b
+--R
+--R          ,          2
+--R   (43)  y (x) + y(x)  - a x - b
+--R
+--R                                                     Type: Expression Integer
+--E 45
+
+--S 46 of 134
+ode13a:=solve(ode13,y,x)
+--R
+--R   (44)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 46
+
+--S 47 of 134
+ode14 := D(y(x),x) + y(x)**2 + a*x**m
+--R 
+--R
+--R          ,         m       2
+--R   (45)  y (x) + a x  + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 134
+ode14a:=solve(ode14,y,x)
+--R
+--R   (46)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 48
+
+--S 49 of 134
+ode15 := D(y(x),x) + y(x)**2 - 2*x**2*y(x) + x**4 -2*x-1
+--R 
+--R
+--R          ,          2     2        4
+--R   (47)  y (x) + y(x)  - 2x y(x) + x  - 2x - 1
+--R
+--R                                                     Type: Expression Integer
+--E 49
+
+--S 50 of 134
+yx:=solve(ode15,y,x)
+--R
+--R                     2
+--R             y(x) - x  + 1
+--R   (48)  ---------------------
+--R                    2       2x
+--R         (2y(x) - 2x  - 2)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 50
+
+--S 51 of 134
+ode15expr:=D(yx,x) + yx**2 - 2*x**2*yx + x**4 -2*x-1
+--R
+--R   (49)
+--R            2x ,
+--R       - 4%e  y (x)
+--R
+--R     + 
+--R              4              2        6     4      3     2                    8
+--R           (4x  - 8x - 4)y(x)  + (- 8x  - 8x  + 16x  + 8x  + 16x + 8)y(x) + 4x
+--R         + 
+--R             6     5      3     2
+--R           8x  - 8x  - 16x  - 8x  - 8x - 4
+--R      *
+--R            2x 2
+--R         (%e  )
+--R     + 
+--R             2         2      4     2          6     4     2            2x
+--R       ((- 4x  - 4)y(x)  + (8x  + 8x )y(x) - 4x  - 4x  + 4x  + 8x + 4)%e
+--R     + 
+--R           2        2             4     2
+--R       y(x)  + (- 2x  + 2)y(x) + x  - 2x  + 1
+--R  /
+--R           2        2              4     2        2x 2
+--R     (4y(x)  + (- 8x  - 8)y(x) + 4x  + 8x  + 4)(%e  )
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 134
+ode16 := D(y(x),x) + y(x)**2 +(x*y(x)-1)*f(x)
+--R
+--R          ,          2
+--R   (50)  y (x) + y(x)  + x f(x)y(x) - f(x)
+--R
+--R                                                     Type: Expression Integer
+--E 52
+
+--S 53 of 134
+ode16a:=solve(ode16,y,x)
+--R
+--R   (51)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 53
+
+--S 54 of 134
+ode17 := D(y(x),x) - y(x)**2 -3*y(x) + 4 
+--R 
+--R
+--R          ,          2
+--R   (52)  y (x) - y(x)  - 3y(x) + 4
+--R
+--R                                                     Type: Expression Integer
+--E 54
+
+--S 55 of 134
+yx:=solve(ode17,y,x)
+--R 
+--R
+--R         - log(y(x) + 4) + log(y(x) - 1) - 5x
+--R   (53)  ------------------------------------
+--R                           5
+--R                                          Type: Union(Expression Integer,...)
+--E 55
+
+--S 56 of 134
+ode17expr:=D(yx,x) - yx**2 -3*yx + 4 
+--R
+--R   (54)
+--R          ,             2                          2
+--R       25y (x) + (- y(x)  - 3y(x) + 4)log(y(x) + 4)
+--R
+--R     + 
+--R                 2                                             2
+--R           (2y(x)  + 6y(x) - 8)log(y(x) - 1) + (- 10x + 15)y(x)
+--R         + 
+--R           (- 30x + 45)y(x) + 40x - 60
+--R      *
+--R         log(y(x) + 4)
+--R     + 
+--R              2                          2
+--R       (- y(x)  - 3y(x) + 4)log(y(x) - 1)
+--R     + 
+--R                      2
+--R       ((10x - 15)y(x)  + (30x - 45)y(x) - 40x + 60)log(y(x) - 1)
+--R     + 
+--R           2                2         2                         2
+--R     (- 25x  + 75x + 75)y(x)  + (- 75x  + 225x + 225)y(x) + 100x  - 300x - 300
+--R  /
+--R           2
+--R     25y(x)  + 75y(x) - 100
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 134
+ode18 := D(y(x),x) - y(x)**2 - x*y(x) - x + 1 
+--R 
+--R
+--R          ,          2
+--R   (55)  y (x) - y(x)  - x y(x) - x + 1
+--R
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 134
+yx:=solve(ode18,y,x)
+--R 
+--R
+--R                          2
+--R                       - x  + 4x
+--R                       ---------   x
+--R                           2     ++          1
+--I         (- y(x) - 1)%e          |   - ------------- d%N  + 1
+--R                                ++           2
+--I                                         - %N  + 4%N
+--R                                         -----------
+--R                                              2
+--R                                       %e
+--R   (56)  ----------------------------------------------------
+--R                                        2
+--R                                     - x  + 4x
+--R                                     ---------
+--R                                         2
+--R                         (y(x) + 1)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 58
+
+--S 59 of 134
+ode18expr:=D(yx,x) - yx**2 - x*yx - x + 1 
+--R   (57)
+--R                                  2      2
+--R                               - x  + 4x
+--R                               ---------     x                     2
+--R              2                    2       ++          1
+--I       (- y(x)  - 2y(x) - 1)(%e         )  |   - ------------- d%H
+--R                                          ++           2
+--I                                                   - %H  + 4%H
+--R                                                   -----------
+--R                                                        2
+--R                                                 %e
+--R     + 
+--R                                       2      2                   2
+--R                                    - x  + 4x                  - x  + 4x
+--R                                    ---------                  ---------
+--R                 2                      2                          2
+--R         ((x y(x)  + 2x y(x) + x)(%e         )  + (2y(x) + 2)%e         )
+--R      *
+--R            x
+--R          ++          1
+--I          |   - ------------- d%H
+--R         ++           2
+--I                  - %H  + 4%H
+--R                  -----------
+--R                       2
+--R                %e
+--R     + 
+--R              2
+--R           - x  + 4x
+--R           ---------
+--R               2     ,
+--R       - %e         y (x)
+--R
+--R     + 
+--R                                                      2      2
+--R                                                   - x  + 4x
+--R                                                   ---------
+--R                     2                                 2
+--R       ((- x + 1)y(x)  + (- 2x + 2)y(x) - x + 1)(%e         )
+--R     + 
+--R                       2
+--R                    - x  + 4x
+--R                    ---------
+--R            2           2
+--R       (y(x)  - 1)%e          - 1
+--R  /
+--R                              2      2
+--R                           - x  + 4x
+--R                           ---------
+--R          2                    2
+--R     (y(x)  + 2y(x) + 1)(%e         )
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 134
+ode19 := D(y(x),x) - (y(x) + x)**2
+--R 
+--R
+--R          ,          2              2
+--R   (58)  y (x) - y(x)  - 2x y(x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 60
+
+--S 61 of 134
+yx:=solve(ode19,y,x)
+--R 
+--R
+--R                             +---+
+--R                   - y(x) + \|- 1  - x
+--R   (59)  --------------------------------------
+--R                                          +---+
+--R            +---+          +---+       2x\|- 1
+--R         (2\|- 1 y(x) + 2x\|- 1  - 2)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 61
+
+--S 62 of 134
+ode19expr := D(yx,x) - (yx + x)**2
+--R
+--R   (60)
+--R               +---+
+--R            2x\|- 1  ,
+--R       - 4%e        y (x)
+--R
+--R     + 
+--R              2    2        2 +---+     3          3 +---+     4     2
+--R         (- 4x y(x)  + (- 8x \|- 1  - 8x )y(x) - 8x \|- 1  - 4x  + 4x )
+--R      *
+--R               +---+ 2
+--R            2x\|- 1
+--R         (%e        )
+--R     + 
+--R                 +---+         2        2 +---+                  3       +---+
+--R           (- 4x\|- 1  + 4)y(x)  + (- 8x \|- 1  + 8x)y(x) + (- 4x  - 4x)\|- 1
+--R         + 
+--R             2
+--R           4x
+--R      *
+--R              +---+
+--R           2x\|- 1
+--R         %e
+--R     + 
+--R           2        +---+                +---+    2
+--R       y(x)  + (- 2\|- 1  + 2x)y(x) - 2x\|- 1  + x  - 1
+--R  /
+--R                                                             +---+ 2
+--R           2      +---+                +---+     2        2x\|- 1
+--R     (4y(x)  + (8\|- 1  + 8x)y(x) + 8x\|- 1  + 4x  - 4)(%e        )
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 134
+ode20 := D(y(x),x) - y(x)**2 +(x**2 + 1)*y(x) - 2*x 
+--R 
+--R
+--R          ,          2     2
+--R   (61)  y (x) - y(x)  + (x  + 1)y(x) - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 63
+
+--S 64 of 134
+yx:=solve(ode20,y,x)
+--R
+--R                               3
+--R                            - x  - 3x
+--R                            ---------   x
+--R                    2           3     ++          1
+--I         (- y(x) + x  + 1)%e          |   - ------------- d%H  + 1
+--R                                     ++           3
+--I                                              - %H  - 3%H
+--R                                              -----------
+--R                                                   3
+--R                                            %e
+--R   (62)  ---------------------------------------------------------
+--R                                             3
+--R                                          - x  - 3x
+--R                                          ---------
+--R                                  2           3
+--R                         (y(x) - x  - 1)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 64
+
+--S 65 of 134
+ode20expr:=D(yx,x) - yx**2 +(x**2 + 1)*yx - 2*x 
+--R
+--R   (63)
+--R                                                       3      2
+--R                                                    - x  - 3x
+--R                                                    ---------
+--R                2      2             4     2            3
+--R         (- y(x)  + (2x  + 2)y(x) - x  - 2x  - 1)(%e         )
+--R      *
+--R            x                     2
+--R          ++          1
+--I          |   - ------------- d%H
+--R         ++           3
+--I                  - %H  - 3%H
+--R                  -----------
+--R                       3
+--R                %e
+--R     + 
+--R                  2         2      4     2             6     4     2
+--R             ((- x  - 1)y(x)  + (2x  + 4x  + 2)y(x) - x  - 3x  - 3x  - 1)
+--R          *
+--R                   3      2
+--R                - x  - 3x
+--R                ---------
+--R                    3
+--R             (%e         )
+--R         + 
+--R                                 3
+--R                              - x  - 3x
+--R                              ---------
+--R                      2           3
+--R           (2y(x) - 2x  - 2)%e
+--R      *
+--R            x
+--R          ++          1
+--I          |   - ------------- d%H
+--R         ++           3
+--I                  - %H  - 3%H
+--R                  -----------
+--R                       3
+--R                %e
+--R     + 
+--R              3
+--R           - x  - 3x
+--R           ---------
+--R               3     ,
+--R       - %e         y (x)
+--R
+--R     + 
+--R                                                           3      2
+--R                                                        - x  - 3x
+--R                                                        ---------
+--R                 2      3               5     3             3
+--R       (- 2x y(x)  + (4x  + 4x)y(x) - 2x  - 4x  - 2x)(%e         )
+--R     + 
+--R                                       3
+--R                                    - x  - 3x
+--R                                    ---------
+--R            2    4     2                3
+--R       (y(x)  - x  - 2x  + 2x - 1)%e          - 1
+--R  /
+--R                                                   3      2
+--R                                                - x  - 3x
+--R                                                ---------
+--R          2        2             4     2            3
+--R     (y(x)  + (- 2x  - 2)y(x) + x  + 2x  + 1)(%e         )
+--R                                                     Type: Expression Integer
+--E 65
+
+--S 66 of 134
+ode21 := D(y(x),x) - y(x)**2 +y(x)*sin(x) - cos(x) 
+--R 
+--R
+--R          ,                                2
+--R   (64)  y (x) + y(x)sin(x) - cos(x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 134
+ode21a:=solve(ode21,y,x)
+--R 
+--R
+--R   (65)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 67
+
+--S 68 of 134
+ode22 := D(y(x),x) - y(x)**2 -y(x)*sin(2*x) - cos(2*x) 
+--R 
+--R
+--R          ,                                  2
+--R   (66)  y (x) - y(x)sin(2x) - cos(2x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 68
+
+--S 69 of 134
+ode22a:=solve(ode22,y,x)
+--R 
+--R
+--R   (67)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 69
+
+--S 70 of 134
+ode23 := D(y(x),x) + a*y(x)**2 - b
+--R 
+--R
+--R          ,            2
+--R   (68)  y (x) + a y(x)  - b
+--R
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 134
+yx:=solve(ode23,y,x)
+--R 
+--R
+--R                    2      +---+
+--R             (a y(x)  + b)\|a b  - 2a b y(x)       +---+
+--R         log(-------------------------------) + 2x\|a b
+--R                             2
+--R                       a y(x)  - b
+--R   (69)  -----------------------------------------------
+--R                               +---+
+--R                             2\|a b
+--R                                          Type: Union(Expression Integer,...)
+--E 71
+
+--S 72 of 134
+ode23expr := D(yx,x) + a*yx**2 - b
+--R
+--R   (70)
+--R                                         2      +---+             2
+--R          ,             2         (a y(x)  + b)\|a b  - 2a b y(x)
+--R       4by (x) + (a y(x)  - b)log(-------------------------------)
+--R                                                  2
+--R                                            a y(x)  - b
+--R     + 
+--R                                           2      +---+
+--R                 2         +---+    (a y(x)  + b)\|a b  - 2a b y(x)
+--R       (4a x y(x)  - 4b x)\|a b log(-------------------------------)
+--R                                                    2
+--R                                              a y(x)  - b
+--R     + 
+--R          2   2       2            2       2 2     3     2
+--R       (4a b x  - 4a b  + 4a b)y(x)  - 4a b x  + 4b  - 4b
+--R  /
+--R              2     2
+--R     4a b y(x)  - 4b
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 134
+ode24 := D(y(x),x) + a*y(x)**2 - b*x**nu
+--R 
+--R
+--R          ,         nu         2
+--R   (71)  y (x) - b x   + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 73
+
+--S 74 of 134
+ode24a:=solve(ode24,y,x)
+--R 
+--R
+--R   (72)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 74
+
+--S 75 of 134
+ode25 := D(y(x),x) + a*y(x)**2 - b*x**(2*nu) - c*x**(nu-1)
+--R 
+--R
+--R          ,         2nu      nu - 1         2
+--R   (73)  y (x) - b x    - c x       + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 75
+
+--S 76 of 134
+ode25expr:=solve(ode25,y,x)
+--R 
+--R
+--R   (74)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 76
+
+--S 77 of 134
+ode26 := D(y(x),x) - (A*y(x) - a)*(B*y(x) - b)
+--R 
+--R
+--R          ,              2
+--R   (75)  y (x) - A B y(x)  + (A b + B a)y(x) - a b
+--R
+--R                                                     Type: Expression Integer
+--E 77
+
+--S 78 of 134
+yx:=solve(ode26,y,x)
+--R 
+--R
+--R         log(B y(x) - b) - log(A y(x) - a) + (- A b + B a)x
+--R   (76)  --------------------------------------------------
+--R                              A b - B a
+--R                                          Type: Union(Expression Integer,...)
+--E 78
+
+--S 79 of 134
+ode26expr := D(yx,x) - (A*yx - a)*(B*yx - b)
+--R
+--R   (77)
+--R         2 2               2 2  ,
+--R       (A b  - 2A B a b + B a )y (x)
+--R
+--R     + 
+--R           2 2    2     2         2                                2
+--R       (- A B y(x)  + (A B b + A B a)y(x) - A B a b)log(B y(x) - b)
+--R     + 
+--R              2 2    2        2          2
+--R           (2A B y(x)  + (- 2A B b - 2A B a)y(x) + 2A B a b)log(A y(x) - a)
+--R         + 
+--R               3 2      2 3       3   2      3 2     2
+--R           ((2A B b - 2A B a)x + A B b  - A B a )y(x)
+--R         + 
+--R                 3   2       3 2      3 3    2     2      2 2     3 3
+--R           ((- 2A B b  + 2A B a )x - A b  - A B a b  + A B a b + B a )y(x)
+--R         + 
+--R              2     2       2 2       2   3    2 3
+--R           (2A B a b  - 2A B a b)x + A a b  - B a b
+--R      *
+--R         log(B y(x) - b)
+--R     + 
+--R           2 2    2     2         2                                2
+--R       (- A B y(x)  + (A B b + A B a)y(x) - A B a b)log(A y(x) - a)
+--R     + 
+--R                 3 2      2 3       3   2      3 2     2
+--R           ((- 2A B b + 2A B a)x - A B b  + A B a )y(x)
+--R         + 
+--R               3   2       3 2      3 3    2     2      2 2     3 3
+--R           ((2A B b  - 2A B a )x + A b  + A B a b  - A B a b - B a )y(x)
+--R         + 
+--R                2     2       2 2       2   3    2 3
+--R           (- 2A B a b  + 2A B a b)x - A a b  + B a b
+--R      *
+--R         log(A y(x) - a)
+--R     + 
+--R               4 2 2     3 3       2 4 2  2
+--R           (- A B b  + 2A B a b - A B a )x
+--R         + 
+--R               4   3    3 2   2    2 3 2       4 3      3     3
+--R           (- A B b  + A B a b  + A B a b - A B a )x - A B a b
+--R         + 
+--R              2 2 2    3   2         3 3     2 2         3 2
+--R           (2A B a  - A B)b  + (- A B a  + 2A B a)b - A B a
+--R      *
+--R             2
+--R         y(x)
+--R     + 
+--R             4   3    3 2   2    2 3 2       4 3  2     4 4     2 2 2 2    4 4
+--R           (A B b  - A B a b  - A B a b + A B a )x  + (A b  - 2A B a b  + B a )x
+--R         + 
+--R            3   4       2   2    3  3         2 3    2     2     3 4      2 2
+--R           A a b  + (- A B a  + A )b  + (- A B a  - A B a)b  + (B a  - A B a )b
+--R         + 
+--R            3 3
+--R           B a
+--R      *
+--R         y(x)
+--R     + 
+--R           3     3     2 2 2 2      3 3   2
+--R       (- A B a b  + 2A B a b  - A B a b)x
+--R     + 
+--R           3   4    2   2 3      2 3 2    3 4       2 2 4          3    2   3
+--R       (- A a b  + A B a b  + A B a b  - B a b)x - A a b  + (2A B a  - A a)b
+--R     + 
+--R           2 4         2  2    2 3
+--R       (- B a  + 2A B a )b  - B a b
+--R  /
+--R         3   2     2 2         3 2     2
+--R       (A B b  - 2A B a b + A B a )y(x)
+--R     + 
+--R           3 3    2     2      2 2     3 3         2   3         2 2    2 3
+--R       (- A b  + A B a b  + A B a b - B a )y(x) + A a b  - 2A B a b  + B a b
+--R                                                     Type: Expression Integer
+--E 79
+
+--S 80 of 134
+ode27 := D(y(x),x) + a*y(x)*(y(x)-x) - 1
+--R 
+--R
+--R          ,            2
+--R   (78)  y (x) + a y(x)  - a x y(x) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 80
+
+--S 81 of 134
+ode27a:=solve(ode27,y,x)
+--R 
+--R
+--R                          2
+--R                       a x
+--R                       ----   x
+--R                         2  ++     a
+--I         (- y(x) + x)%e     |   ------ d%N  + 1
+--R                           ++       2
+--I                                  %N a
+--R                                  ----
+--R                                    2
+--R                                %e
+--R   (79)  --------------------------------------
+--R                                   2
+--R                                a x
+--R                                ----
+--R                                  2
+--R                    (y(x) - x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 81
+
+--S 82 of 134
+ode28 := D(y(x),x) + x*y(x)**2 -x**3*y(x) - 2*x 
+--R 
+--R
+--R          ,            2    3
+--R   (80)  y (x) + x y(x)  - x y(x) - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 82
+
+--S 83 of 134
+ode28a:=solve(ode28,y,x)
+--R 
+--R
+--R                         4
+--R                        x
+--R                        --   x
+--I                    2    4 ++    %N
+--I         (- y(x) + x )%e   |   ----- d%N  + 1
+--R                          ++       4
+--I                                 %N
+--R                                 ---
+--R                                  4
+--R                               %e
+--R   (81)  ------------------------------------
+--R                                  4
+--R                                 x
+--R                                 --
+--R                             2    4
+--R                    (y(x) - x )%e
+--R                                          Type: Union(Expression Integer,...)
+--E 83
+
+--S 84 of 134
+ode29 := D(y(x),x) - x*y(x)**2 - 3*x*y(x) 
+--R 
+--R
+--R          ,            2
+--R   (82)  y (x) - x y(x)  - 3x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 84
+
+--S 85 of 134
+yx:=solve(ode29,y,x)
+--R 
+--R
+--R                                           2
+--R         - 2log(y(x) + 3) + 2log(y(x)) - 3x
+--R   (83)  -----------------------------------
+--R                          6
+--R                                          Type: Union(Expression Integer,...)
+--E 85
+
+--S 86 of 134
+ode29expr := D(yx,x) - x*yx**2 - 3*x*yx 
+--R
+--R   (84)
+--R          ,                2                         2
+--R       36y (x) + (- 4x y(x)  - 12x y(x))log(y(x) + 3)
+--R
+--R     + 
+--R                   2                              3           2
+--R           (8x y(x)  + 24x y(x))log(y(x)) + (- 12x  + 36x)y(x)
+--R         + 
+--R                 3
+--R           (- 36x  + 108x)y(x)
+--R      *
+--R         log(y(x) + 3)
+--R     + 
+--R                 2                     2
+--R       (- 4x y(x)  - 12x y(x))log(y(x))
+--R     + 
+--R            3           2       3
+--R       ((12x  - 36x)y(x)  + (36x  - 108x)y(x))log(y(x))
+--R     + 
+--R            5      3           2         5       3
+--R       (- 9x  + 54x  - 36x)y(x)  + (- 27x  + 162x  - 108x)y(x)
+--R  /
+--R           2
+--R     36y(x)  + 108y(x)
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 134
+ode30 := D(y(x),x) + x**(-a-1)*y(x)**2 - x**a
+--R 
+--R
+--R          ,       a       2 - a - 1
+--R   (85)  y (x) - x  + y(x) x
+--R
+--R                                                     Type: Expression Integer
+--E 87
+
+--S 88 of 134
+ode30a:=solve(ode30,y,x)
+--R 
+--R
+--R   (86)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 88
+
+--S 89 of 134
+ode31 := D(y(x),x) - a*x**n*(y(x)**2+1) 
+--R 
+--R
+--R          ,               2      n
+--R   (87)  y (x) + (- a y(x)  - a)x
+--R
+--R                                                     Type: Expression Integer
+--E 89
+
+--S 90 of 134
+yx:=solve(ode31,y,x)
+--R 
+--R
+--R                 n log(x)
+--R         - a x %e         + (n + 1)atan(y(x))
+--R   (88)  ------------------------------------
+--R                         n + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 90
+
+--S 91 of 134
+ode31expr := D(yx,x) - a*x**n*(yx**2+1) 
+--R
+--R   (89)
+--R         2           ,          3 2    2    3 2  n   n log(x) 2
+--R       (n  + 2n + 1)y (x) + (- a x y(x)  - a x )x (%e        )
+--R
+--R     + 
+--R               2      2       2      2      2    n
+--R           ((2a n + 2a )x y(x)  + (2a n + 2a )x)x atan(y(x))
+--R         + 
+--R                 2                2      2
+--R           (- a n  - 2a n - a)y(x)  - a n  - 2a n - a
+--R      *
+--R           n log(x)
+--R         %e
+--R     + 
+--R              2                2      2             n          2
+--R       ((- a n  - 2a n - a)y(x)  - a n  - 2a n - a)x atan(y(x))
+--R     + 
+--R              2                2      2             n
+--R       ((- a n  - 2a n - a)y(x)  - a n  - 2a n - a)x
+--R  /
+--R       2              2    2
+--R     (n  + 2n + 1)y(x)  + n  + 2n + 1
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 134
+ode32 := D(y(x),x) + y(x)**2*sin(x) - 2*sin(x)/cos(x)**2
+--R 
+--R
+--R               2 ,           2      2
+--R         cos(x) y (x) + (y(x) cos(x)  - 2)sin(x)
+--R
+--R   (90)  ---------------------------------------
+--R                               2
+--R                         cos(x)
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 134
+yx:=solve(ode32,y,x)
+--R 
+--R
+--R   (91)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 93
+
+--S 94 of 134
+ode33 := D(y(x),x) - y(x)**2*D(f(x),x)/g(x) + D(g(x),x)/f(x)
+--R
+--R                  ,           ,              2 ,
+--R         f(x)g(x)y (x) + g(x)g (x) - f(x)y(x) f (x)
+--R
+--R   (92)  ------------------------------------------
+--R                          f(x)g(x)
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 134
+ode33a:=solve(ode33,y,x)
+--R
+--R   (93)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 95
+
+--S 96 of 134
+ode34 := D(y(x),x) + f(x)*y(x)**2 + g(x)*y(x) 
+--R
+--R          ,              2
+--R   (94)  y (x) + f(x)y(x)  + g(x)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 96
+
+--S 97 of 134
+ode34a:=solve(ode34,y,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 97
+
+--S 98 of 134
+ode35 := D(y(x),x) + f(x)*(y(x)**2 + 2*a*y(x) +b) 
+--R
+--R          ,              2
+--R   (95)  y (x) + f(x)y(x)  + 2a f(x)y(x) + b f(x)
+--R
+--R                                                     Type: Expression Integer
+--E 98
+
+--S 99 of 134
+yx:=solve(ode35,y,x)
+--R
+--R   (96)
+--R         +--------+   x
+--R         |       2  ++
+--I       2\|- b + a   |   f(%H)d%H
+--R                   ++
+--R     + 
+--R                                     +--------+
+--R              2                   2  |       2            2                 3
+--R         (y(x)  + 2a y(x) - b + 2a )\|- b + a   + (2b - 2a )y(x) + 2a b - 2a
+--R     log(--------------------------------------------------------------------)
+--R                                      2
+--R                                  y(x)  + 2a y(x) + b
+--R  /
+--R       +--------+
+--R       |       2
+--R     2\|- b + a
+--R                                          Type: Union(Expression Integer,...)
+--E 99
+
+--S 100 of 134
+ode35expr := D(yx,x) + f(x)*(yx**2 + 2*a*yx +b) 
+--R
+--R   (97)
+--R                  2         2             3               2     2
+--R         ((4b - 4a )f(x)y(x)  + (8a b - 8a )f(x)y(x) + (4b  - 4a b)f(x))
+--R      *
+--R          +--------+   x          2
+--R          |       2  ++
+--I         \|- b + a   |   f(%H)d%H
+--R                    ++
+--R     + 
+--R                      2         2             3               2     2
+--R             ((4b - 4a )f(x)y(x)  + (8a b - 8a )f(x)y(x) + (4b  - 4a b)f(x))
+--R          *
+--R             log
+--R                                                +--------+
+--R                         2                   2  |       2            2
+--R                    (y(x)  + 2a y(x) - b + 2a )\|- b + a   + (2b - 2a )y(x)
+--R                  + 
+--R                             3
+--R                    2a b - 2a
+--R               /
+--R                      2
+--R                  y(x)  + 2a y(x) + b
+--R         + 
+--R                           3         2       2       4
+--R                 (8a b - 8a )f(x)y(x)  + (16a b - 16a )f(x)y(x)
+--R               + 
+--R                      2     3
+--R                 (8a b  - 8a b)f(x)
+--R          *
+--R              +--------+
+--R              |       2
+--R             \|- b + a
+--R      *
+--R            x
+--R          ++
+--I          |   f(%H)d%H
+--R         ++
+--R     + 
+--R                  +--------+
+--R               2  |       2  ,
+--R       (4b - 4a )\|- b + a  y (x)
+--R
+--R     + 
+--R                                              +--------+
+--R                    2                         |       2
+--R         (- f(x)y(x)  - 2a f(x)y(x) - b f(x))\|- b + a
+--R      *
+--R           log
+--R                                              +--------+
+--R                       2                   2  |       2            2
+--R                  (y(x)  + 2a y(x) - b + 2a )\|- b + a   + (2b - 2a )y(x) + 2a b
+--R                + 
+--R                      3
+--R                  - 2a
+--R             /
+--R                    2
+--R                y(x)  + 2a y(x) + b
+--R        **
+--R           2
+--R     + 
+--R                    3         2      2      4                 2     3
+--R         ((4a b - 4a )f(x)y(x)  + (8a b - 8a )f(x)y(x) + (4a b  - 4a b)f(x))
+--R      *
+--R                                       +--------+
+--R                2                   2  |       2            2                 3
+--R           (y(x)  + 2a y(x) - b + 2a )\|- b + a   + (2b - 2a )y(x) + 2a b - 2a
+--R       log(--------------------------------------------------------------------)
+--R                                        2
+--R                                    y(x)  + 2a y(x) + b
+--R     + 
+--R              2        2           2         2
+--R           (4b  + (- 4a  + 4)b - 4a )f(x)y(x)
+--R         + 
+--R                2        3            3
+--R           (8a b  + (- 8a  + 8a)b - 8a )f(x)y(x)
+--R         + 
+--R              3        2      2     2
+--R           (4b  + (- 4a  + 4)b  - 4a b)f(x)
+--R      *
+--R          +--------+
+--R          |       2
+--R         \|- b + a
+--R  /
+--R                                                       +--------+
+--R              2     2             3          2     2   |       2
+--R     ((4b - 4a )y(x)  + (8a b - 8a )y(x) + 4b  - 4a b)\|- b + a
+--R                                                     Type: Expression Integer
+--E 100
+
+--S 101 of 134
+ode36 := D(y(x),x) + y(x)**3 + a*x*y(x)**2 
+--R 
+--R
+--R          ,          3           2
+--R   (98)  y (x) + y(x)  + a x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 101
+
+--S 102 of 134
+ode36a:=solve(ode36,y,x)
+--R 
+--R
+--R   (99)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 102
+
+--S 103 of 134
+ode37 := D(y(x),x) - y(x)**3 - a*exp(x)*y(x)**2
+--R
+--R           ,            2  x       3
+--R   (100)  y (x) - a y(x) %e  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 103
+
+--S 104 of 134
+ode37a:=solve(ode37,y,x)
+--R
+--R   (101)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 104
+
+--S 105 of 134
+ode38 := D(y(x),x) - a*y(x)**3 - b*x**(3/2)
+--R
+--R           ,          +-+         3
+--R   (102)  y (x) - b x\|x  - a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 105
+
+--S 106 of 134
+ode38a:=solve(ode38,y,x)
+--R
+--R   (103)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 106
+
+--S 107 of 134
+ode39 := D(y(x),x) - a3*y(x)**3 - a2*y(x)**2 - a1*y(x) - a0
+--R
+--R           ,             3          2
+--R   (104)  y (x) - a3 y(x)  - a2 y(x)  - a1 y(x) - a0
+--R
+--R                                                     Type: Expression Integer
+--E 107
+
+--S 108 of 134
+yx:=solve(ode39,y,x)
+--R 
+--R
+--R   (105)
+--R           ROOT
+--R                           2  2                     3             3      2  2
+--R                    (- 81a0 a3  + (54a0 a1 a2 - 12a1 )a3 - 12a0 a2  + 3a1 a2 )
+--R                 *
+--R                         2
+--I                    %%CK0
+--R                + 
+--R                               2
+--R                  12a1 a3 - 4a2
+--R             /
+--R                    2  2                      3            3     2  2
+--R                27a0 a3  + (- 18a0 a1 a2 + 4a1 )a3 + 4a0 a2  - a1 a2
+--R         + 
+--I           - %%CK0
+--R      *
+--R         log
+--R                           2     3          2  2           2         4   2
+--R                      162a0 a1 a3  + (- 54a0 a2  - 108a0 a1 a2 + 24a1 )a3
+--R                    + 
+--R                                 3       3  2            5      2  4
+--R                      (60a0 a1 a2  - 14a1 a2 )a3 - 8a0 a2  + 2a1 a2
+--R                 *
+--I                    %%CK0
+--R                + 
+--R                      2  3                       3   2           3      2  2
+--R                  81a0 a3  + (- 54a0 a1 a2 + 12a1 )a3  + (12a0 a2  - 3a1 a2 )a3
+--R             *
+--R                ROOT
+--R                                 2  2                     3             3
+--R                           - 81a0 a3  + (54a0 a1 a2 - 12a1 )a3 - 12a0 a2
+--R                         + 
+--R                              2  2
+--R                           3a1 a2
+--R                      *
+--R                              2
+--I                         %%CK0
+--R                     + 
+--R                                    2
+--R                       12a1 a3 - 4a2
+--R                  /
+--R                         2  2                      3            3     2  2
+--R                     27a0 a3  + (- 18a0 a1 a2 + 4a1 )a3 + 4a0 a2  - a1 a2
+--R            + 
+--R                       2     3          2  2           2         4   2
+--R                  162a0 a1 a3  + (- 54a0 a2  - 108a0 a1 a2 + 24a1 )a3
+--R                + 
+--R                             3       3  2            5      2  4
+--R                  (60a0 a1 a2  - 14a1 a2 )a3 - 8a0 a2  + 2a1 a2
+--R             *
+--R                     2
+--I                %%CK0
+--R            + 
+--R                          2  3                     3   2
+--R                    - 81a0 a3  + (54a0 a1 a2 - 12a1 )a3
+--R                  + 
+--R                              3      2  2
+--R                    (- 12a0 a2  + 3a1 a2 )a3
+--R             *
+--I                %%CK0
+--R            + 
+--R                      3             2      3                         2   2
+--R              (54a0 a3  - 18a1 a2 a3  + 4a2 a3)y(x) + (18a0 a2 - 12a1 )a3
+--R            + 
+--R                    2
+--R              2a1 a2 a3
+--R     + 
+--R           -
+--R              ROOT
+--R                                 2  2                     3             3
+--R                           - 81a0 a3  + (54a0 a1 a2 - 12a1 )a3 - 12a0 a2
+--R                         + 
+--R                              2  2
+--R                           3a1 a2
+--R                    *
+--R                            2
+--I                       %%CK0
+--R                   + 
+--R                                  2
+--R                     12a1 a3 - 4a2
+--R                /
+--R                       2  2                      3            3     2  2
+--R                   27a0 a3  + (- 18a0 a1 a2 + 4a1 )a3 + 4a0 a2  - a1 a2
+--R         + 
+--I           - %%CK0
+--R      *
+--R         log
+--R                             2     3        2  2           2         4   2
+--R                      - 162a0 a1 a3  + (54a0 a2  + 108a0 a1 a2 - 24a1 )a3
+--R                    + 
+--R                                   3       3  2            5      2  4
+--R                      (- 60a0 a1 a2  + 14a1 a2 )a3 + 8a0 a2  - 2a1 a2
+--R                 *
+--I                    %%CK0
+--R                + 
+--R                      2  3                     3   2             3      2  2
+--R                - 81a0 a3  + (54a0 a1 a2 - 12a1 )a3  + (- 12a0 a2  + 3a1 a2 )a3
+--R             *
+--R                ROOT
+--R                                 2  2                     3             3
+--R                           - 81a0 a3  + (54a0 a1 a2 - 12a1 )a3 - 12a0 a2
+--R                         + 
+--R                              2  2
+--R                           3a1 a2
+--R                      *
+--R                              2
+--I                         %%CK0
+--R                     + 
+--R                                    2
+--R                       12a1 a3 - 4a2
+--R                  /
+--R                         2  2                      3            3     2  2
+--R                     27a0 a3  + (- 18a0 a1 a2 + 4a1 )a3 + 4a0 a2  - a1 a2
+--R            + 
+--R                       2     3          2  2           2         4   2
+--R                  162a0 a1 a3  + (- 54a0 a2  - 108a0 a1 a2 + 24a1 )a3
+--R                + 
+--R                             3       3  2            5      2  4
+--R                  (60a0 a1 a2  - 14a1 a2 )a3 - 8a0 a2  + 2a1 a2
+--R             *
+--R                     2
+--I                %%CK0
+--R            + 
+--R                          2  3                     3   2
+--R                    - 81a0 a3  + (54a0 a1 a2 - 12a1 )a3
+--R                  + 
+--R                              3      2  2
+--R                    (- 12a0 a2  + 3a1 a2 )a3
+--R             *
+--I                %%CK0
+--R            + 
+--R                      3             2      3                         2   2
+--R              (54a0 a3  - 18a1 a2 a3  + 4a2 a3)y(x) + (18a0 a2 - 12a1 )a3
+--R            + 
+--R                    2
+--R              2a1 a2 a3
+--R     + 
+--I         2%%CK0
+--R      *
+--R         log
+--R                         2     3        2  2           2         4   2
+--R                  - 162a0 a1 a3  + (54a0 a2  + 108a0 a1 a2 - 24a1 )a3
+--R                + 
+--R                               3       3  2            5      2  4
+--R                  (- 60a0 a1 a2  + 14a1 a2 )a3 + 8a0 a2  - 2a1 a2
+--R             *
+--R                     2
+--I                %%CK0
+--R            + 
+--R                     2  3                       3   2           3      2  2
+--R                (81a0 a3  + (- 54a0 a1 a2 + 12a1 )a3  + (12a0 a2  - 3a1 a2 )a3)
+--R             *
+--I                %%CK0
+--R            + 
+--R                      3            2      3                        2   2
+--R              (27a0 a3  - 9a1 a2 a3  + 2a2 a3)y(x) + (9a0 a2 + 12a1 )a3
+--R            + 
+--R                       2        4
+--R              - 11a1 a2 a3 + 2a2
+--R     + 
+--R       - 2x
+--R  /
+--R     2
+--R                                          Type: Union(Expression Integer,...)
+--E 108
+
+--S 109 of 134
+ode40 := D(y(x),x) + 3*a*y(x)**3 + 6*a*x*y(x)**2
+--R
+--R           ,             3            2
+--R   (106)  y (x) + 3a y(x)  + 6a x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 109
+
+--S 110 of 134
+ode40a:=solve(ode40,y,x)
+--R
+--R   (107)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 110
+
+--S 111 of 134
+ode41 := D(y(x),x) + a*x*y(x)**3 + b*y(x)**2
+--R
+--R           ,              3         2
+--R   (108)  y (x) + a x y(x)  + b y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 111
+
+--S 112 of 134
+ode41a:=solve(ode41,y,x)
+--R
+--R   (109)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 112
+
+--S 113 of 134
+ode42 := D(y(x),x) - x*(x+2)*y(x)**3 - (x+3)*y(x)**2
+--R
+--R           ,          2          3                2
+--R   (110)  y (x) + (- x  - 2x)y(x)  + (- x - 3)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 113
+
+--S 114 of 134
+ode42a:=solve(ode42,y,x)
+--R
+--R   (111)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 114
+
+--S 115 of 134
+ode43 := D(y(x),x) + (3*a*x**2 + 4*a**2*x + b)*y(x)**3 + 3*x*y(x)**2
+--R
+--R           ,           2     2          3          2
+--R   (112)  y (x) + (3a x  + 4a x + b)y(x)  + 3x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 115
+
+--S 116 of 134
+ode43a:=solve(ode43,y,x)
+--R
+--R   (113)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 116
+
+--S 117 of 134
+ode44 := D(y(x),x) + 2*a*x**3*y(x)**3 + 2*x*y(x)
+--R
+--R           ,          3    3
+--R   (114)  y (x) + 2a x y(x)  + 2x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 117
+
+--S 118 of 134
+yx:=solve(ode44,y,x)
+--R
+--R               2         2
+--R          (2a x  + a)y(x)  + 2
+--R   (115)  --------------------
+--R                         2
+--R                    2  2x
+--R               2y(x) %e
+--R                                          Type: Union(Expression Integer,...)
+--E 118
+
+--S 119 of 134
+ode44expr := D(yx,x) + 2*a*x**3*yx**3 + 2*x*yx
+--R
+--R   (116)
+--R                    2 2                                               2 2
+--R              3   2x    ,              3            6          4    2x
+--R       - 8y(x) (%e   ) y (x) + ((- 8a x  + 4a x)y(x)  - 8x y(x) )(%e   )
+--R
+--R     + 
+--R          4 9      4 7     4 5    4 3     6       3 7      3 5     3 3     4
+--R       (8a x  + 12a x  + 6a x  + a x )y(x)  + (24a x  + 24a x  + 6a x )y(x)
+--R     + 
+--R           2 5      2 3     2       3
+--R       (24a x  + 12a x )y(x)  + 8a x
+--R  /
+--R                2 3
+--R          6   2x
+--R     4y(x) (%e   )
+--R                                                     Type: Expression Integer
+--E 119
+
+--S 120 of 134
+ode45 := D(y(x),x) + 2*(a**2*x**3 - b**2*x)*y(x)**3 + 3*b*y(x)**2
+--R
+--R           ,         2 3     2      3          2
+--R   (117)  y (x) + (2a x  - 2b x)y(x)  + 3b y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 120
+
+--S 121 of 134
+ode45a:=solve(ode45,y,x)
+--R
+--R   (118)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 121
+
+--S 122 of 134
+ode46 := D(y(x),x) - x**a*y(x)**3 + 3*y(x)**2 - x**(-a)*y(x) _
+              -x**(-2*a) + a*x**(-a-1)
+--R
+--R           ,          3 a        - a      - a - 1    - 2a        2
+--R   (119)  y (x) - y(x) x  - y(x)x    + a x        - x     + 3y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 122
+
+--S 123 of 134
+ode46a:=solve(ode46,y,x)
+--R
+--R   (120)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 123
+
+--S 124 of 134
+ode47 := D(y(x),x) - a*(x**n - x)*y(x)**3 - y(x)**2
+--R
+--R           ,            3 n           3       2
+--R   (121)  y (x) - a y(x) x  + a x y(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 124
+
+--S 125 of 134
+ode47a:=solve(ode47,y,x)
+--R
+--R   (122)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 125
+
+--S 126 of 134
+ode48 := D(y(x),x) - (a*x**n + b*x)*y(x)**3 - c*y(x)**2
+--R
+--R           ,            3 n           3         2
+--R   (123)  y (x) - a y(x) x  - b x y(x)  - c y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 126
+
+--S 127 of 134
+ode48a:=solve(ode48,y,x)
+--R
+--R   (124)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 127
+
+--S 128 of 134
+ode49 := D(y(x),x) + a*diff(phi(x),x)*y(x)**3 + 6*a*phi(x)*y(x)**2 + _
+          (2*a+1)*y(x)*diff(phi(x),x,x)/diff(phi(x),x) +2*(a+1)
+--R 
+--R   There are no library operations named phi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op phi
+--R      to learn if there is any operation containing " phi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named phi 
+--R      with argument type(s) 
+--R                                 Variable x
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 128
+
+--S 129 of 134
+f1 := operator 'f1
+--R
+--R   (125)  f1
+--R                                                          Type: BasicOperator
+--E 129
+
+--S 130 of 134
+f2 := operator 'f2
+--R
+--R   (126)  f2
+--R                                                          Type: BasicOperator
+--E 130
+
+--S 131 of 134
+f3 := operator 'f3
+--R
+--R   (127)  f3
+--R                                                          Type: BasicOperator
+--E 131
+
+--S 132 of 134
+f0 := operator 'f0
+--R
+--R   (128)  f0
+--R                                                          Type: BasicOperator
+--E 132
+
+--S 133 of 134
+ode50 := D(y(x),x) - f3(x)*y(x)**3 - f2(x)*y(x)**2 - f1(x)*y(x) - f0(x)
+--R
+--R           ,               3            2
+--R   (129)  y (x) - f3(x)y(x)  - f2(x)y(x)  - f1(x)y(x) - f0(x)
+--R
+--R                                                     Type: Expression Integer
+--E 133
+
+--S 134 of 134
+ode50a:=solve(ode50,y,x)
+--R
+--R   (130)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 134
+
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
+\end{thebibliography}
+\end{document}
